Bug 986494 - [abrt] bijiben-3.9.3-1.fc20: g_type_check_instance: Process /usr/bin/bijiben was killed by signal 11 (SIGSEGV)
[abrt] bijiben-3.9.3-1.fc20: g_type_check_instance: Process /usr/bin/bijiben ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bijiben (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pierre-Yves Luyten
Fedora Extras Quality Assurance
abrt_hash:7fe417d809bf04e7bacdbdb4eb3...
:
: 982006 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-19 19:22 EDT by Filipe Rosset
Modified: 2013-10-17 23:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 23:34:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (42.68 KB, text/plain)
2013-07-19 19:22 EDT, Filipe Rosset
no flags Details
File: cgroup (159 bytes, text/plain)
2013-07-19 19:22 EDT, Filipe Rosset
no flags Details
File: core_backtrace (4.74 KB, text/plain)
2013-07-19 19:22 EDT, Filipe Rosset
no flags Details
File: dso_list (12.90 KB, text/plain)
2013-07-19 19:22 EDT, Filipe Rosset
no flags Details
File: environ (3.41 KB, text/plain)
2013-07-19 19:22 EDT, Filipe Rosset
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-19 19:22 EDT, Filipe Rosset
no flags Details
File: maps (77.53 KB, text/plain)
2013-07-19 19:22 EDT, Filipe Rosset
no flags Details
File: open_fds (1.15 KB, text/plain)
2013-07-19 19:22 EDT, Filipe Rosset
no flags Details
File: proc_pid_status (1.06 KB, text/plain)
2013-07-19 19:23 EDT, Filipe Rosset
no flags Details
File: var_log_messages (1.89 KB, text/plain)
2013-07-19 19:23 EDT, Filipe Rosset
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 703706 None None None Never

  None (edit)
Description Filipe Rosset 2013-07-19 19:22:19 EDT
Description of problem:
1. open a terminal and start bijiben
2. click on New
3. click on Notes and you got the segfault

Version-Release number of selected component:
bijiben-3.9.3-1.fc20

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        bijiben
crash_function: g_type_check_instance
executable:     /usr/bin/bijiben
kernel:         3.11.0-0.rc1.git1.1.fc20.x86_64
runlevel:       N 5
uid:            1005

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance at gtype.c:4082
 #1 g_signal_handler_disconnect at gsignal.c:2580
 #2 biji_webkit_editor_finalize at editor/biji-webkit-editor.c:236
 #4 bjb_note_view_finalize at bjb-note-view.c:94
 #6 gtk_overlay_forall at gtkoverlay.c:593
 #7 gtk_container_destroy at gtkcontainer.c:1395
 #12 gtk_widget_dispose at gtkwidget.c:11255
 #14 gtk_widget_destroy at gtkwidget.c:4260
 #15 destroy_note_if_needed at bjb-window-base.c:255
 #16 bjb_window_base_switch_to at bjb-window-base.c:265
Comment 1 Filipe Rosset 2013-07-19 19:22:30 EDT
Created attachment 776017 [details]
File: backtrace
Comment 2 Filipe Rosset 2013-07-19 19:22:33 EDT
Created attachment 776018 [details]
File: cgroup
Comment 3 Filipe Rosset 2013-07-19 19:22:37 EDT
Created attachment 776019 [details]
File: core_backtrace
Comment 4 Filipe Rosset 2013-07-19 19:22:41 EDT
Created attachment 776020 [details]
File: dso_list
Comment 5 Filipe Rosset 2013-07-19 19:22:45 EDT
Created attachment 776021 [details]
File: environ
Comment 6 Filipe Rosset 2013-07-19 19:22:48 EDT
Created attachment 776022 [details]
File: limits
Comment 7 Filipe Rosset 2013-07-19 19:22:54 EDT
Created attachment 776023 [details]
File: maps
Comment 8 Filipe Rosset 2013-07-19 19:22:57 EDT
Created attachment 776024 [details]
File: open_fds
Comment 9 Filipe Rosset 2013-07-19 19:23:01 EDT
Created attachment 776025 [details]
File: proc_pid_status
Comment 10 Filipe Rosset 2013-07-19 19:23:04 EDT
Created attachment 776026 [details]
File: var_log_messages
Comment 11 Pierre-Yves Luyten 2013-07-19 19:56:59 EDT
Upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=703706

It was just fixed upstream, but I will not be able to release a new package before a week.
Comment 12 Filipe Rosset 2013-07-19 20:00:00 EDT
Hi Luyten, thank you for your fast answer. It's ok to wait a week, so please keep this bug opened until the RPM with the fix reach the repository. Thanks.
Comment 13 Fedora End Of Life 2013-09-16 12:47:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 14 Christopher Meng 2013-10-17 23:33:13 EDT
*** Bug 982006 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.